## com.sun.el.parser
Class ELParserTokenManager

    java.lang.Object
      com.sun.el.parser.ELParserTokenManager

All Implemented Interfaces:
  ELParserConstants

    public class ELParserTokenManager

extends Object
implements ELParserConstants

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream`
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState`
`static String[]` `jjstrLiteralImages`
`static String[]` `lexStateNames`

Fields inherited from interface com.sun.el.parser.ELParserConstants

`AND0, AND1, BADLY_ESCAPED_STRING_LITERAL, COLON, COMMA, DEFAULT, DIGIT, DIV0, DIV1, DOT, EMPTY, END_EXPRESSION, EOF, EQ0, EQ1, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FUNCTIONSUFFIX, GE0, GE1, GT0, GT1, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INSTANCEOF, INTEGER_LITERAL, LBRACK, LE0, LE1, LETTER, LITERAL_EXPRESSION, LPAREN, LT0, LT1, MINUS, MOD0, MOD1, MULT, NE0, NE1, NOT0, NOT1, NULL, OR0, OR1, PLUS, QUESTIONMARK, RBRACK, RPAREN, START_DEFERRED_EXPRESSION, START_DYNAMIC_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`ELParserTokenManager(SimpleCharStream stream)`
`ELParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream)

### ELParserTokenManager

    public ELParserTokenManager(SimpleCharStream stream,
                                int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.